import { WorklogDto } from "@smallstack/axios-api-client";
import { TranslationHelper } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { WorklogStore } from "../../../stores/worklog.store";
import * as i0 from "@angular/core";
export declare class WorklogListWidgetComponent extends BaseWidgetComponent {
    protected worklogStore: WorklogStore;
    private notificationService;
    private translationHelper;
    protected worklogs: WorklogDto[];
    constructor(worklogStore: WorklogStore, notificationService: NotificationService, translationHelper: TranslationHelper);
    deleteWorklog(worklog: WorklogDto): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorklogListWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorklogListWidgetComponent, "smallstack-worklog-list-widget", never, {}, {}, never, never, false, never>;
}
